Skip to main content
GET
/
api
/
v1
/
evaluations
/
{uuid}
Get a single evaluation
curl --request GET \
  --url https://{subdomain}.mindhunters.ai/api/v1/evaluations/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Evaluation retrieved successfully",
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "session_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "conversation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contact_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sentiment": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "emotion": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "sentiment_strength": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "intent": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "intent_labels": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "knowledge_gap": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "human_escalation": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "contextual_sentiment": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "satisfaction": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "success": {
      "value": "<string>",
      "confidence": 50,
      "reason": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Response

Success

success
boolean
Example:

true

message
string
Example:

"Evaluation retrieved successfully"

data
object